'From VisualWorks(TM), Release 1.0 of 8 October 1992 on 21 April 1994 at 2:14:31 pm'!



!ClassDescription methodsFor: 'selectors'!

allSelectorsInCategory: aCategoryName untilClass: aClass
	"Answer a set of all the message selectors belonging to a category within a subhierarchy,
	that is from receiver until (including) the class specified."
	"The class boundary allowes to restrict the search to some subhierarchy, e.g., of Actalk."

	^((self == aClass) | (superclass isNil)	"We stop when reaching some hierarchy root."
			ifTrue: [Set new]
			ifFalse: [superclass allSelectorsInCategory: aCategoryName untilClass: aClass])
		addAll: (self selectorsInCategory: aCategoryName);
		yourself			"Return the constructed set because addAll: returns the addition only."!

selectorsInCategory: aCategoryName
	"Answer a set of all the message selectors belonging to a category of the receiver."

	^self organization listAtCategoryNamed: aCategoryName! !